from .SQLExpression import SQLExpression

class SQLFunctionCall (SQLExpression):

	def __init__(self, funcname, parms):
		self.name = funcname
		self.parms = parms

	def get_name(self):
		return self.name

	def get_parameters(self):
		return self.parms
	
	def get_parameter_list(self):
		return SQLExpression.array_to_string(self.parms)

	def __str__(self):
		return self.get_name() + "(" + self.get_parameter_list() + ")"
		
